CommitmentTypeIndication (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class CommitmentTypeIndication

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.CommitmentTypeIndication

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CommitmentTypeIndication
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitmentTypeIndication(ASN1ObjectIdentifier commitmentTypeId)`
    `CommitmentTypeIndication(ASN1ObjectIdentifier commitmentTypeId, ASN1Sequence commitmentTypeQualifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getCommitmentTypeId()`
    `ASN1Sequence` | `getCommitmentTypeQualifier()`
    `static CommitmentTypeIndication` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` CommitmentTypeIndication ::= SEQUENCE { commitmentTypeId CommitmentTypeIdentifier, commitmentTypeQualifier SEQUENCE SIZE (1..MAX) OF CommitmentTypeQualifier OPTIONAL }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitmentTypeIndication

          public CommitmentTypeIndication(ASN1ObjectIdentifier commitmentTypeId)

    - #### CommitmentTypeIndication

          public CommitmentTypeIndication(ASN1ObjectIdentifier commitmentTypeId,
                                          ASN1Sequence commitmentTypeQualifier)

  - ### Method Detail

    - #### getInstance

          public static CommitmentTypeIndication getInstance(java.lang.Object obj)

    - #### getCommitmentTypeId

          public ASN1ObjectIdentifier getCommitmentTypeId()

    - #### getCommitmentTypeQualifier

          public ASN1Sequence getCommitmentTypeQualifier()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CommitmentTypeIndication ::= SEQUENCE {
                commitmentTypeId   CommitmentTypeIdentifier,
                commitmentTypeQualifier   SEQUENCE SIZE (1..MAX) OF
                        CommitmentTypeQualifier OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.